
// Variables
$fontHiraginoGothic: "ヒラギノ角ゴ Pro", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, "MS Pゴシック", "MS PGothic", sans-serif
$fontHiraginoMincho: "ヒラギノ明朝 Pro", "Hiragino Mincho Pro", "MS P明朝", "MS PMincho", serif
$fontArial: Arial, "Helvetica Neue", Helvetica, sans-serif
$fontCentury: Century Gothic,CenturyGothic,AppleGothic,sans-serif
$fontYuGothic: "游ゴシック体", "Yu Gothic", YuGothic, "ヒラギノ角ゴ Pro", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, "MS Pゴシック", "MS PGothic", sans-serif
$fontYuMincho: "游明朝体", "Yu Mincho", YuMincho, "ヒラギノ明朝 Pro", "Hiragino Mincho Pro", "MS P明朝", "MS PMincho", serif
$fontTsukushiAGothic: "Tsukushi A Round Gothic","筑紫A丸ゴシック"
$fontTsukushiBGothic: "Tsukushi B Round Gothic","筑紫B丸ゴシック"
$fontMeryo: "メイリオ","Meiryo"
$fontTen: ten-mincho, serif

// Reset Leaflet
.leaflet-container a.leaflet-popup-close-button
    display: none

.leaflet-popup-content-wrapper, .leaflet-popup-tip
    background: #F8F5E1 !important
    padding: 0 !important
    overflow: hidden
    border-radius: 5px !important
    
.leaflet-popup-content
    margin: 0 !important

//
.popup-mark
    color: #333333
    font-family: $fontYuGothic
    font-size: 7px //untuk patokan size satuan em nya. agar memudahkan ganti size, soalnya pixel di desain terlalu besar

    &__header
        background-color: #FA6828
        padding: .8em 2em
        display: flex
        align-items: center
        
        img
            width: 4em
            height: 4em
            margin-right: 1em
        
        span
            font-size: 1.8em
            font-weight: bold
            color: white
    
    &__body
        max-height: 38.8em
        padding: 1.9em 2em
        background-color: #F8F5E1
        overflow-y: auto

        ._spec
            display: flex
            align-items: center
            // width: 28.8em
            margin-bottom: 2em

            > img
                width: calc(50% - .8em)
                margin-right: 1em
            
            ._right
                flex: 1
                text-align: center

                span
                    font-size: 1.8em
                    font-weight: bold
                
                > div
                    border-top: .1em dashed #CCC9B0
                    margin-top: 1.6em
                    padding-top: 1.3em
                    display: flex
                    align-items: center
                    justify-content: center

                    > span
                    
                    > img
                        margin-left: .7em
                        width: 3em
                        height: 3em
        
        ._btn-wrapper
            display: flex
            margin-bottom: 2.6em

            a
                margin: 0 .8em
                width: 100%
                color: white
                font-size: 1.5em
                font-weight: bold
                height: 3em
                border-radius: 1.8em
                display: flex
                align-items: center
                justify-content: center
                transition: all .2s ease-in-out

                img
                    margin-right: .4em
                    width: 1.4em
                
                span

                &:first-child
                    background-color: #FA6465
                    
                &:last-child
                    background-color: #5266B9

                &:hover
                    opacity: .8
                    text-decoration: none
                    
        
        ._desc
            background-color: white
            padding: 0 1.4em
            max-width: 34em

            ._flex
                display: flex
                padding: 1.6em 1em
                font-size: 1.5em

                &:not(:last-child)
                    border-bottom: .1em dashed #CCC9B0
                    
                ._left
                    font-weight: bold
                    width: 7.2em

                ._right
                    flex: 1

    &--v2
        .popup-mark
            &__header
                background-color: #C4D145
                justify-content: center
                padding: .8rem

            &__body
                background-color: #F1F1F1

                ._desc
                    background-color: transparent
                    padding: 0

                    ._flex 
                        padding: 1.2em 1em

    &--v3
        .popup-mark
            &__header
                background-color: #3A91DB

                span
                    font-size: 1.4em
            
            &__body
                background-color: #EFEFEF

                ._spec
                    position: relative

                    img
                        width: 100%
                        margin-right: 0

                    p
                        position: absolute
                        top: 50%
                        left: 50%
                        transform: translate(-50%, -50%)
                        color: white
                        font-size: 1.5em
                        font-weight: bold
                        margin: 0

                ._desc

                    ._pdf-btn
                        background-color: #E91C23
                        display: inline-block
                        border-radius: .3em
                        padding: .4em .7em
                        color: white
                        transition: all .2s ease-in-out

                        &:hover
                            text-decoration: none
                            opacity: .6
.map-wrapper
    position: relative

.map-category
    position: absolute
    right: 24px
    top: 50%
    transform: translateY(-50%)
    background-color: #F8F5E1
    width: 142px
    border-radius: 3px
    border: 2px solid #FA6828
    z-index: 999
    padding: 17px 15px

    a 
        transition: all .2s ease-in-out

        &:hover
            opacity: .6

    ._top
        border-bottom: 1px dashed #CECECE
        padding-bottom: 5px

        a
            display: block
            margin-bottom: 13px

            img
                height: 15px
                mix-blend-mode: multiply
    
    ._bottom
        text-align: center
        padding-top: 14px
        padding-bottom: 8px
        font-weight: bold

        p
            font-size: 12px
            margin-bottom: 10px
        
        a
            display: flex
            align-items: center
            justify-content: center
            display: block
            color: #333333

            &:not(:last-child)
                margin-bottom: 8px

            img
                width: 21px
                height: 21px
                margin-right: 8px
            

            span
                font-size: 12px

            &:hover
                text-decoration: none

    &--v3
        border-color: #3A91DB
        background-color: white
        width: 204px

        a  
            color: #333
            font-weight: bold
            margin-bottom: 8px !important

            img
                width: 20px
                height: 20px !important
                margin-right: 2px
            
            span
                font-size: 13px !important

            &:hover
                text-decoration: none
        
        ._bottom
            text-align: left
            
            a
                font-weight: normal !important